Past
/v4/electricity-flows/pastGet the electricity flows for a zone at a given datetime
Query Parameters
The datetime to get the data for. By default this needs to be the specific hour unless another temporal granularity is requested.
An Electricity Maps zone key.
The temporal granularity of the data to get.
Latitude of the location to get the data for.
Longitude of the location to get the data for.
If false, estimated data points are excluded. Equivalent to disableEstimations=true.
If true, the fallback IP-based zone lookup will not be performed.
If true, the response will exclude estimated data points
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v4/electricity-flows/past?datetime=2024-05-19T03%3A00%3A00Z"{ "zone": "DK-DK2", "temporalGranularity": "hourly", "unit": "MW", "data": [ { "datetime": "2026-09-11T09:00:00.000Z", "updatedAt": "2026-09-11T09:19:46.518Z", "import": { "DE": 36, "SE-SE4": 288 }, "export": { "DK-DK1": 43 } } ]}Playground
/v4/electricity-flows/pastHistory GET
Get the last 24 hours of electricity flows for a zone.
Past Range GET
Get the electricity flows for a zone and a given datetime range. > [!CAUTION] > The time range a single request may cover depends on the granularity: 3 days for `5_minutes`, 4 days for `15_minutes`, 10 days for `hourly`, 365 days for `daily`, and 30 years for `monthly`, `quarterly` and `yearly`. > If you need more data, **you can loop over time ranges**.